QuattroSpreadsheetInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
QuattroSpreadsheetInternal::State Struct Reference

the state of QuattroSpreadsheet More...

## Public Member Functions
| State ()
| constructor More...
int | getMaximalSheet (Spreadsheet::Type type=Spreadsheet::T_Spreadsheet) const
| returns the maximal spreadsheet More...
shared_ptr< Spreadsheet > | getSheet (Spreadsheet::Type type, int id)
| returns the ith real spreadsheet More...
librevenge::RVNGString | getSheetName (int id) const
| returns the ith spreadsheet More...
Spreadsheet & | getActualSheet ()
| returns the actual sheet More...
void | pushNewSheet (shared_ptr< Spreadsheet > sheet)
| create a new sheet and stack id More...
bool | popSheet ()
| try to pop the actual sheet More...

## Public Attributes
long | m_eof
| the last file position More...
int | m_version
| the file version More...
int | m_hasLICSCharacters
| int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes More...
StyleManager | m_styleManager
| the style manager More...
std::vector< shared_ptr< Spreadsheet > > | m_spreadsheetList
| the list of spreadsheet ( first: main spreadsheet, other report spreadsheet ) More...
std::stack< shared_ptr< Spreadsheet > > | m_spreadsheetStack
| the stack of spreadsheet id More...

## Detailed Description

the state of QuattroSpreadsheet

## Constructor & Destructor Documentation

## § State()

QuattroSpreadsheetInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## § getActualSheet()

Spreadsheet& QuattroSpreadsheetInternal::State::getActualSheet | ( |  | ) |
| inline

returns the actual sheet

## § getMaximalSheet()

int QuattroSpreadsheetInternal::State::getMaximalSheet | ( | Spreadsheet::Type | type = `Spreadsheet::T_Spreadsheet` | ) | const
| inline

returns the maximal spreadsheet

## § getSheet()

shared_ptr<Spreadsheet> QuattroSpreadsheetInternal::State::getSheet | ( | Spreadsheet::Type | type,
|  | int | id
| ) |  |
| inline

returns the ith real spreadsheet

## § getSheetName()

librevenge::RVNGString QuattroSpreadsheetInternal::State::getSheetName | ( | int | id | ) | const
| inline

returns the ith spreadsheet

## § popSheet()

bool QuattroSpreadsheetInternal::State::popSheet | ( |  | ) |
| inline

try to pop the actual sheet

## § pushNewSheet()

void QuattroSpreadsheetInternal::State::pushNewSheet | ( | shared_ptr< Spreadsheet > | sheet | ) |
| inline

create a new sheet and stack id

## Member Data Documentation

## § m_eof

long QuattroSpreadsheetInternal::State::m_eof

the last file position

## § m_hasLICSCharacters

int QuattroSpreadsheetInternal::State::m_hasLICSCharacters

int to code if the file has LICS characters:-1 means unknown, 0 means no, 1 means yes

## § m_spreadsheetList

std::vector<shared_ptr<Spreadsheet> > QuattroSpreadsheetInternal::State::m_spreadsheetList

the list of spreadsheet ( first: main spreadsheet, other report spreadsheet )

## § m_spreadsheetStack

std::stack<shared_ptr<Spreadsheet> > QuattroSpreadsheetInternal::State::m_spreadsheetStack

the stack of spreadsheet id

## § m_styleManager

StyleManager QuattroSpreadsheetInternal::State::m_styleManager

the style manager

## § m_version

int QuattroSpreadsheetInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- QuattroSpreadsheet.cpp